Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000575Galaxietool(No Category)public2011-12-16 01:332012-02-10 21:46
ReporterOmar Hawk 
Assigned ToeX0du5 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version4.9 
Target VersionFixed in Version5.0 
Summary0000575: Issue with alliance page parser
DescriptionWhen inserting the own alliance page (member list) it is possible that you create a duplicate of your own alliance in the databse.
Steps To Reproduce1. Submit Galaxyview (or stats or anything else, that contains own alliance including ogame alliance id)
2. Go to your alliance page
3. Rename your alliance Tag
4. submit the alliance page (with the new alliance tag) before any other page is being submitted
5. the Galaxytool now tries to find the new alliance tag in order to determine the alliance id, but has no success. Therefore, an entry in the alliance table is created containing a NULL ogame alliance id
6. Now submit the Galaxyview or any other page - the Galaxytool will now update the other alliance entry, that already has the ogame alliance id

-> we have the same alliance twice in our database, one entry with OGame alliance id, and another without OGame alliance id
Additional InformationA possible solution would be to send the own alliance id at the alliance page so we won't create alliances with NULL values/can rename the alliance with this parser as well.

This would require changes at the Galaxytool and the Galaxytoolbar, but it would be the best solution in my opinion.
TagsNo tags attached.
Browser and Browser Version
Hoster
MySQL Version
PHP Version
rev
Attached Files

- Relationships

-  Notes
(0001419)
Omar Hawk (manager)
2011-12-31 14:30

siehe auch http://board.galaxytool.eu/index.php?topic=1081.0 [^]
(0001428)
eX0du5 (manager)
2012-02-10 21:46

Solved since OGame provides also alliance_id. Parser adjusted in 5.0

- Issue History
Date Modified Username Field Change
2011-12-16 01:33 Omar Hawk New Issue
2011-12-16 01:33 Omar Hawk Status new => assigned
2011-12-16 01:33 Omar Hawk Assigned To => eX0du5
2011-12-31 14:30 Omar Hawk Note Added: 0001419
2012-02-10 21:46 eX0du5 Note Added: 0001428
2012-02-10 21:46 eX0du5 Status assigned => resolved
2012-02-10 21:46 eX0du5 Fixed in Version => 5.0
2012-02-10 21:46 eX0du5 Resolution open => fixed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker